<template>
  <div class="cors-cell" :title="value">
    {{ cellUIText }}
  </div>
</template>

<script setup>
import { computed } from 'vue'

const props = defineProps({
  value: {
    type: String,
    default: ''
  }
})
const cellUIText = computed(() => {
  if (props.value === 'yes') {
    return '✅'
  } else if (props.value === 'no') {
    return '⛔'
  }
  
  return '🤔'
})
</script>

<style scoped>
.cors-cell {
  cursor: help;
}
</style>
